package edu.umich.soar.hpp;

/**
 * Specialization of CPT Entry for the case of binary value
 */
public class HPPCPTBinaryEntry extends HPPCPTEntry {
	
	/**
	 * Utility constructor that assumes boolean value
	 * 
	 * @param conditions array of symbolic constraints
	 * @param value variable value
	 * @param probability probability of taking the value given the conditions
	 */
	public HPPCPTBinaryEntry(HPPConstraint[] conditions, boolean value, double probability) {
		super( conditions, new HPPCPTValue[]{ new HPPCPTValue(new Boolean(value).toString(), probability) } );
	}
}
